%define name gnupg
%define version 1.2.1
%define release 3mdk

Name:		%{name}
Summary:	GNU privacy guard - a free PGP replacement.
Version:	%{version}
Release:	%{release}
License:	GPL
Group:		File tools
URL:		http://www.gnupg.org
Source:		ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.bz2
Source1:	ftp://ftp.gnupg.org/pub/gcrypt/gnupg/%{name}-%{version}.tar.bz2.sig
Patch:		gnupg-1.0.7-options.patch.bz2
BuildRoot:	%{_tmppath}/%{name}-buildroot
Packager:	Vincent Danen <vdanen@mandrakesoft.com>

%description
GnuPG is GNU's tool for secure communication and data storage.
It can be used to encrypt data and to create digital signatures.
It includes an advanced key management facility and is compliant
with the proposed OpenPGP Internet standard as described in RFC2440.

%prep
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}

%setup -q
%patch -p1 -b .mdkopts

%build
%configure --with-included-gettext --with-static-rnd=linux --enable-m-guard --program-prefix=""
make
# all tests must pass
make check

%install
%makeinstall

sed -e "s#../g10/gpg#gpg#" < tools/lspgpot > %{buildroot}%{_bindir}/lspgpot

chmod 755 %{buildroot}%{_bindir}/lspgpot

# (fc) 1.0.4-5mdk gpg is setuid
chmod +s  %{buildroot}%{_bindir}/gpg

#strip --strip-unneeded $RPM_BUILD_ROOT/usr/lib/gnupg/*

perl -pi -e 's|/usr/local|/usr/|' %{buildroot}%{_mandir}/man1/gpg.1

# I don't know why this bastard install docs in here --Geoff
rm -f %{buildroot}%{_datadir}/gnupg/{FAQ,faq.html}
cp -aRf doc doc.geoff
rm -f doc.geoff/Makefile*
rm -f doc.geoff/{gpg,gpgv}.1
# installed but not wanted
rm -f %{buildroot}%{_datadir}/locale/locale.alias

%{find_lang} %{name}

%clean
[ -n "%{buildroot}" -a "%{buildroot}" != / ] && rm -rf %{buildroot}
rm -rf $RPM_BUILD_DIR/%{name}-%{version}

%post
%_install_info gpg.info
%_install_info gpgv.info
GPG_HOME=/root/.gnupg
mkdir -p $GPG_HOME
chmod 600 $GPG_HOME

[ -f $GPG_HOME/options ] || touch $GPG_HOME/options

gpg --homedir $GPG_HOME --import - <<EOF
-----BEGIN PGP PUBLIC KEY BLOCK-----
Version: GnuPG v1.0.6 (GNU/Linux)
Comment: For info see http://www.gnupg.org
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=
=BNy4
-----END PGP PUBLIC KEY BLOCK-----
EOF || :


%postun
%_remove_install_info gpg.info
%_remove_install_info gpgv.info

%files -f %{name}.lang
%defattr(-,root,root)
%doc README NEWS THANKS TODO ChangeLog doc/DETAILS doc/FAQ
%doc doc.geoff/faq.* doc.geoff/gpg.* doc.geoff/gpgv.* doc.geoff/HACKING doc.geoff/OpenPGP doc.geoff/samplekeys.asc
%attr(4755,root,root) %{_bindir}/gpg
%{_bindir}/gpgv
%{_bindir}/lspgpot
%{_bindir}/gpgsplit
%{_libdir}/*
%{_datadir}/gnupg/
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_infodir}/gpg*.info.bz2


%changelog
* Tue Feb 25 2003 Franois Pons <fpons@mandrakesoft.com> 1.2.1-3mdk
- rebuild to remove libopenssl0 dependencies.

* Mon Dec 30 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.1-2mdk
- rebuild against new glibc, etc.
- include missing manpage, info files, _libdir files, and gpgsplit
- install_info/remove_install_info macros

* Mon Oct 28 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.2.1-1mdk
- 1.2.1
- try enabling memory guard features (--enable-m-guard)

* Tue Aug 13 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-3mdk
- fix permissions of /root/.gnupg to be 600 (this way 644 files in the dir
  don't make gpg complain) - re: Andreas Simon
- clean our build dir
- add www.mandrakesecure.net as the default keyserver in newly-created
  options files

* Mon Aug 12 2002 Gwenole Beauchesne <gbeauchesne@mandrakesoft.com> 1.0.7-2mdk
- rpmlint fixes: strange-permission
- costlessly make check in %%build stage

* Tue Apr 30 2002 Vincent Danen <vdanen@mandrakesoft.com> 1.0.7-1mdk
- 1.0.7
- remove P0; included upstream

* Wed Mar 13 2002 Frederic Lepied <flepied@mandrakesoft.com> 1.0.6-5mdk
- updated gpg keys

* Tue Oct 23 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-4mdk
- strip sgid bit from gpg (thanks ekj@ekj.vetsdata.no) for security

* Fri Jul 13 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-3mdk
- s/Copyright/License/
- minor spec cleaning
- use pristine source (tar.gz) and include signature file for sourc
  (security policy)

* Wed May 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-2mdk
- fix description, remove reference to patents

* Wed May 30 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.6-1mdk
- 1.0.6

* Tue May  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1.1mdk
- security update for 7.2/8.0

* Tue May  1 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.5-1mdk
- 1.0.5

* Tue Apr 10 2001 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-6mdk
- include new public key signed by mandrake@mandrakesoft.com and
  security@turbolinux.com

* Mon Apr  9 2001 Frederic Crozat <fcrozat@mandrakesoft.com> 1.0.4-5mdk
- ship gnupg as setuid (blessed by maintainer and security team)

* Fri Jan 19 2001 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-4mdk
- remove FAQ and faq.html from /usr/share/gnupg.

* Wed Dec 20 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.4-3mdk
- security fix, official patch applied
- add the --allow-secret-key-import patch from CVS
- remove the strlen patch, as it is included in the official security patch
- specfile cleanups

* Tue Nov 22 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-2mdk
- Red Hat merge aka shamelessly rip patches.

* Wed Oct 18 2000 Geoffrey Lee <snailtalk@mandrakesoft.com> 1.0.4-1mdk
- build a new and sane version (aka big big bugz fix).

* Thu Oct 12 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.3-1mdk
- 1.2.3
- puts Url: and full Source: path

* Tue Oct  3 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-4mdk
- touch /root/.gnupg/options in %%post to avoid errors.

* Fri Sep 29 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-3mdk
- create ~/.gnupg in %%post to avoid errors.

* Thu Sep 28 2000 Frederic Lepied <flepied@mandrakesoft.com> 1.0.2-2mdk
- added import of mandrake's gpg keys ib %%post

* Wed Sep 13 2000 Vincent Danen <vdanen@mandrakesoft.com> 1.0.2-1mdk
- 1.0.2

* Wed Sep 13 2000 Guillaume Cottenceau <gc@mandrakesoft.com> 1.0.1-3mdk
- BM

* Tue Apr 25 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-2mdk
- Upgrade groups.

* Thu Jan  6 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 1.0.1-1mdk
- First spec file for Mandrake distribution, mainly based on debian version.

# end of file
